# MAIL

NeurIPS'21: Probabilistic Margins for Instance Reweighting in Adversarial Training (Pytorch implementation).

========

This is the code for the paper:

[Probabilistic Margins for Instance Reweighting in Adversarial Training](https://arxiv.org/pdf/2106.07904.pdf)

Qizhou Wang*, Feng Liu*, Bo Han, Tongliang Liu, Chen Gong, Gang Niu, Mingyuan Zhou, Masashi Sugiyama

To be presented at [NeurIPS 2021](https://nips.cc/Conferences/2021/).

  

If you find this code useful in your research then please cite

```

@inproceedings{wang2021probabilistic,
title={Probabilistic Margins for Instance Reweighting in Adversarial Training},
author={Qizhou Wang and Feng Liu and Bo Han and Tongliang Liu and Chen Gong and Gang Niu and Mingyuan Zhou and Masashi Sugiyama},
booktitle={NeurIPS},
year={2021}
}

```

  

## Setups

All code was developed and tested on a single machine equiped with a NVIDIA GTX3090 GPU. The environment is as bellow:

  

- Ubuntu 18.04

- CUDA 10.2.89

- Python 3.7.6 (Anaconda 4.9.2 64 bit)

- PyTorch 1.5.0

- numpy 1.18.1

  

## Usage
 

```bash

python train.py --method mail_at --bias -0.5 --slope 10

```

```bash 

python train.py --method mail_trades --bias 0  --slope 2

```


Contact: Qizhou Wang (csqzwang@comp.hkbu.edu.hk); Feng Liu (fengliu.ml@gmail.com).

  

